Index: /trunk/src/bp-core/bp-core-component.php
===================================================================
--- /trunk/src/bp-core/bp-core-component.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-component.php	(revision 10012)
@@ -109,5 +109,5 @@
 
 	/**
-	 * Metadata tables for the component (if applicable)
+	 * Metadata tables for the component (if applicable).
 	 *
 	 * @since BuddyPress (2.0.0)
@@ -118,5 +118,5 @@
 
 	/**
-	 * Global tables for the component (if applicable)
+	 * Global tables for the component (if applicable).
 	 *
 	 * @since BuddyPress (2.0.0)
@@ -141,5 +141,5 @@
 	 * @param array  $params {
 	 *     Additional parameters used by the component.
-	 *     @type int   $adminbar_myaccount_order Set the position for our menu under the WP Toolbar's "My Account menu"
+	 *     @type int   $adminbar_myaccount_order Set the position for our menu under the WP Toolbar's "My Account menu".
 	 *     @type array $features                 An array of feature names. This is used to load additional files from your
 	 *                                           component directory and for feature active checks. eg. array( 'awesome' )
@@ -331,5 +331,5 @@
 	 *
 	 * @param array $includes An array of file names, or file name chunks,
-	 *        to be parsed and then included.
+	 *                        to be parsed and then included.
 	 */
 	public function includes( $includes = array() ) {
@@ -455,9 +455,9 @@
 	 *      in the $sub_nav parameter array should be formatted.
 	 *
-	 * @param array $main_nav Optional. Passed directly to
-	 *        bp_core_new_nav_item(). See that function for a description.
-	 * @param array $sub_nav Optional. Multidimensional array, each item in
-	 *        which is passed to bp_core_new_subnav_item(). See that
-	 *        function for a description.
+	 * @param array $main_nav Optional. Passed directly to bp_core_new_nav_item().
+	 *                        See that function for a description.
+	 * @param array $sub_nav  Optional. Multidimensional array, each item in
+	 *                        which is passed to bp_core_new_subnav_item(). See that
+	 *                        function for a description.
 	 */
 	public function setup_nav( $main_nav = array(), $sub_nav = array() ) {
@@ -490,10 +490,10 @@
 	 * @see WP_Admin_Bar::add_menu() for a description of the syntax
 	 *      required by each item in the $wp_admin_nav parameter array.
-	 * @global obj $wp_admin_bar
-	 *
-	 * @param array $wp_admin_nav An array of nav item arguments. Each item
-	 *        in this parameter array is passed to {@link WP_Admin_Bar::add_menu()}.
-	 *        See that method for a description of the required syntax for
-	 *        each item.
+	 * @global object $wp_admin_bar
+	 *
+	 * @param array $wp_admin_nav An array of nav item arguments. Each item in this parameter
+	 *                            array is passed to {@link WP_Admin_Bar::add_menu()}.
+	 *                            See that method for a description of the required syntax for
+	 *                            each item.
 	 */
 	public function setup_admin_bar( $wp_admin_nav = array() ) {
@@ -747,9 +747,9 @@
 
 	/**
-	 * Add any permalink structures
+	 * Add any permalink structures.
 	 *
 	 * @since BuddyPress (1.9)
 	 *
-	 * @uses do_action() Calls 'bp_{@link bp_Component::name}_add_permastruct'
+	 * @uses do_action() Calls 'bp_{@link bp_Component::name}_add_permastruct'.
 	 */
 	public function add_permastructs() {
@@ -766,10 +766,10 @@
 
 	/**
-	 * Allow components to parse the main query
+	 * Allow components to parse the main query.
 	 *
 	 * @since BuddyPress (1.9)
 	 *
 	 * @uses do_action() Calls 'bp_{@link bp_Component::name}_parse_query'
-	 * @param object The main WP_Query
+	 * @param object $query The main WP_Query.
 	 */
 	public function parse_query( $query ) {
@@ -788,9 +788,9 @@
 
 	/**
-	 * Generate any additional rewrite rules
+	 * Generate any additional rewrite rules.
 	 *
 	 * @since BuddyPress (1.5)
 	 *
-	 * @uses do_action() Calls 'bp_{@link bp_Component::name}_generate_rewrite_rules'
+	 * @uses do_action() Calls 'bp_{@link bp_Component::name}_generate_rewrite_rules'.
 	 */
 	public function generate_rewrite_rules() {
Index: /trunk/src/bp-core/bp-core-cssjs.php
===================================================================
--- /trunk/src/bp-core/bp-core-cssjs.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-cssjs.php	(revision 10012)
@@ -121,5 +121,5 @@
 
 /**
- * Enqueues the css and js required by the Avatar UI
+ * Enqueues the css and js required by the Avatar UI.
  *
  * @since  BuddyPress (2.3.0)
@@ -316,5 +316,5 @@
  * @since BuddyPress (2.0.0)
  *
- * @uses apply_filters() to allow other component to load extra dependencies
+ * @uses apply_filters() to allow other component to load extra dependencies.
  *
  * @return array The JavaScript dependencies.
Index: /trunk/src/bp-core/bp-core-dependency.php
===================================================================
--- /trunk/src/bp-core/bp-core-dependency.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-dependency.php	(revision 10012)
@@ -488,4 +488,5 @@
  *
  * @param array $query_vars See {@link WP::parse_request()}.
+ *
  * @return array $query_vars See {@link WP::parse_request()}.
  */
@@ -507,6 +508,7 @@
  * @since BuddyPress (1.7.0)
  *
- * @param string $redirect_to See 'login_redirect'.
+ * @param string $redirect_to     See 'login_redirect'.
  * @param string $redirect_to_raw See 'login_redirect'.
+ *
  * @param bool   $user See 'login_redirect'.
  *
@@ -537,4 +539,5 @@
  *
  * @param string $template See 'template_include'.
+ *
  * @return string Template file to use.
  */
@@ -580,4 +583,8 @@
  *
  * @uses apply_filters() Calls 'bp_allowed_themes' with the allowed themes list.
+ *
+ * @param array $themes
+ *
+ * @return array
  */
 function bp_allowed_themes( $themes ) {
@@ -596,5 +603,5 @@
 
 /**
- * The main action used for handling theme-side POST requests
+ * The main action used for handling theme-side POST requests.
  *
  * @since BuddyPress (1.9.0)
@@ -639,5 +646,5 @@
 
 /**
- * The main action used for handling theme-side GET requests
+ * The main action used for handling theme-side GET requests.
  *
  * @since BuddyPress (1.9.0)
Index: /trunk/src/bp-core/bp-core-filters.php
===================================================================
--- /trunk/src/bp-core/bp-core-filters.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-filters.php	(revision 10012)
@@ -75,5 +75,6 @@
  *
  * @param array $pages List of excluded page IDs, as passed to the
- *        'wp_list_pages_excludes' filter.
+ *                     'wp_list_pages_excludes' filter.
+ *
  * @return array The exclude list, with BP's pages added.
  */
@@ -114,6 +115,7 @@
  * @uses buddypress() gets BuddyPress main instance
  *
- * @param object $object The post type object used in the meta box
- * @return object The $object, with a query argument to remove register and activate pages id.
+ * @param object|null $object The post type object used in the meta box.
+ *
+ * @return object|null The $object, with a query argument to remove register and activate pages id.
  */
 function bp_core_exclude_pages_from_nav_menu_admin( $object = null ) {
@@ -157,6 +159,7 @@
  * @since BuddyPress (2.2.0)
  *
- * @param array   $retval CSS classes for the current menu page in the menu
- * @param WP_Post $page   The page properties for the current menu item
+ * @param array   $retval CSS classes for the current menu page in the menu.
+ * @param WP_Post $page   The page properties for the current menu item.
+ *
  * @return array
  */
@@ -214,6 +217,7 @@
  * @since BuddyPress (2.2.0)
  *
- * @param array   $retval CSS classes for the current nav menu item in the menu
- * @param WP_Post $item   The properties for the current nav menu item
+ * @param array   $retval CSS classes for the current nav menu item in the menu.
+ * @param WP_Post $item   The properties for the current nav menu item.
+ *
  * @return array
  */
@@ -258,5 +262,6 @@
  *
  * @param array $comments The array of comments supplied to the comments template.
- * @param int $post->ID The post ID.
+ * @param int   $post_id  The post ID.
+ *
  * @return array $comments The modified comment array.
  */
@@ -297,9 +302,9 @@
  *       are redirected to on login.
  *
- * @param string $redirect_to The URL to be redirected to, sanitized
- *        in wp-login.php.
- * @param string $redirect_to_raw The unsanitized redirect_to URL ($_REQUEST['redirect_to'])
- * @param WP_User $user The WP_User object corresponding to a successfully
- *        logged-in user. Otherwise a WP_Error object.
+ * @param string  $redirect_to     The URL to be redirected to, sanitized in wp-login.php.
+ * @param string  $redirect_to_raw The unsanitized redirect_to URL ($_REQUEST['redirect_to']).
+ * @param WP_User $user            The WP_User object corresponding to a successfully
+ *                                 logged-in user. Otherwise a WP_Error object.
+ *
  * @return string The redirect URL.
  */
@@ -323,5 +328,5 @@
 	 * @since BuddyPress (1.6.0)
 	 *
-    * @param bool    $value           Whether or not to redirect.
+  * @param bool    $value           Whether or not to redirect.
 	 * @param string  $redirect_to     Sanitized URL to be redirected to.
 	 * @param string  $redirect_to_raw Unsanitized URL to be redirected to.
@@ -366,6 +371,7 @@
  *
  * @param string $welcome_email Complete email passed through WordPress.
+ *
  * @return string Filtered $welcome_email with the password replaced
- *         by '[User Set]'.
+ *                by '[User Set]'.
  */
 function bp_core_filter_user_welcome_email( $welcome_email ) {
@@ -400,7 +406,8 @@
  *
  * @param string $welcome_email Complete email passed through WordPress.
- * @param int $blog_id ID of the blog user is joining.
- * @param int $user_id ID of the user joining.
- * @param string $password Password of user.
+ * @param int    $blog_id       ID of the blog user is joining.
+ * @param int    $user_id       ID of the user joining.
+ * @param string $password      Password of user.
+ *
  * @return string Filtered $welcome_email with $password replaced by '[User Set]'.
  */
@@ -429,12 +436,13 @@
  * @see wpmu_signup_blog_notification() for a description of parameters.
  *
- * @param string $domain The new blog domain.
- * @param string $path The new blog path.
- * @param string $title The site title.
- * @param string $user The user's login name.
+ * @param string $domain     The new blog domain.
+ * @param string $path       The new blog path.
+ * @param string $title      The site title.
+ * @param string $user       The user's login name.
  * @param string $user_email The user's email address.
- * @param string $key The activation key created in wpmu_signup_blog()
- * @param array $meta By default, contains the requested privacy setting and
- *        lang_id.
+ * @param string $key        The activation key created in wpmu_signup_blog()
+ * @param array  $meta       By default, contains the requested privacy setting and
+ *                           lang_id.
+ *
  * @return bool True on success, false on failure.
  */
@@ -511,5 +519,5 @@
 	 * @param string $subject     Subject used in the notification email.
 	 * @param string $message     Message used in the notification email.
-	 * @param string domain       The new blog domain.
+	 * @param string $domain      The new blog domain.
 	 * @param string $path        The new blog path.
 	 * @param string $title       The site title.
@@ -531,9 +539,10 @@
  * @see wpmu_signup_user_notification() for a full description of params.
  *
- * @param string $user The user's login name.
+ * @param string $user       The user's login name.
  * @param string $user_email The user's email address.
- * @param string $key The activation key created in wpmu_signup_user()
- * @param array $meta By default, an empty array.
- * @return bool True on success, false on failure.
+ * @param string $key        The activation key created in wpmu_signup_user()
+ * @param array  $meta       By default, an empty array.
+ *
+ * @return bool|string True on success, false on failure.
  */
 function bp_core_activation_signup_user_notification( $user, $user_email, $key, $meta ) {
@@ -825,4 +834,5 @@
  *
  * @param  string $title_part
+ *
  * @return string
  */
@@ -842,5 +852,6 @@
  *
  * @param WP_Post $menu_item The menu item.
- * @return obj The modified WP_Post object.
+ *
+ * @return WP_Post The modified WP_Post object.
  */
 function bp_setup_nav_menu_item( $menu_item ) {
@@ -927,4 +938,5 @@
  *
  * @param string $q SQL query.
+ *
  * @return string
  */
@@ -952,5 +964,5 @@
 
 /**
- * Filter the edit post link to avoid its display in BuddyPress pages
+ * Filter the edit post link to avoid its display in BuddyPress pages.
  *
  * @since BuddyPress (2.1.0)
@@ -958,6 +970,7 @@
  * @param  string $edit_link The edit link.
  * @param  int    $post_id   Post ID.
- * @return mixed  Will be a boolean (false) if $post_id is 0. Will be a string (the unchanged edit link)
- *                otherwise
+ *
+ * @return bool|string Will be a boolean (false) if $post_id is 0. Will be a string (the unchanged edit link)
+ *                     otherwise
  */
 function bp_core_filter_edit_post_link( $edit_link = '', $post_id = 0 ) {
@@ -973,8 +986,10 @@
  * mentions suggestions?
  *
- * @param bool $load_mentions True to load mentions assets, false otherwise.
+ * @since BuddyPress (2.2.0)
+ *
+ * @param bool $load_mentions    True to load mentions assets, false otherwise.
  * @param bool $mentions_enabled True if mentions are enabled.
+ *
  * @return bool True if mentions scripts should be loaded.
- * @since BuddyPress (2.2.0)
  */
 function bp_maybe_load_mentions_scripts_for_blog_content( $load_mentions, $mentions_enabled ) {
Index: /trunk/src/bp-core/bp-core-functions.php
===================================================================
--- /trunk/src/bp-core/bp-core-functions.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-functions.php	(revision 10012)
@@ -1044,5 +1044,5 @@
  *        the time elapsed. Enter either as an integer Unix timestamp, or as a
  *        date string of the format 'Y-m-d h:i:s'.
- * @param int $newer_date Optional. Unix timestamp of date to compare older
+ * @param int|bool $newer_date Optional. Unix timestamp of date to compare older
  *        date to. Default: false (current time).
  * @return string String representing the time since the older date, eg
@@ -1462,5 +1462,5 @@
  * @uses apply_filters() Filter 'bp_get_user_meta_key' to modify keys individually.
  *
- * @param string $key The usermeta meta_key.
+ * @param string|bool $key The usermeta meta_key.
  * @return string $key The usermeta meta_key.
  */
Index: /trunk/src/bp-core/bp-core-moderation.php
===================================================================
--- /trunk/src/bp-core/bp-core-moderation.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-moderation.php	(revision 10012)
@@ -27,4 +27,5 @@
  *
  * @param int $user_id User id to check for flood.
+ *
  * @return bool True if there is no flooding, false if there is.
  */
@@ -58,7 +59,8 @@
  * @uses bp_current_user_can() Allow super admins to bypass blacklist.
  *
- * @param int $user_id Topic or reply author ID.
- * @param string $title The title of the content.
+ * @param int    $user_id Topic or reply author ID.
+ * @param string $title   The title of the content.
  * @param string $content The content being posted.
+ *
  * @return bool True if test is passed, false if fail.
  */
@@ -192,7 +194,8 @@
  * @uses bp_current_user_can() Allow super admins to bypass blacklist.
  *
- * @param int $user_id Topic or reply author ID.
- * @param string $title The title of the content.
+ * @param int    $user_id Topic or reply author ID.
+ * @param string $title   The title of the content.
  * @param string $content The content being posted.
+ *
  * @return bool True if test is passed, false if fail.
  */
@@ -331,5 +334,5 @@
 	 * @since BuddyPress (1.6.0)
 	 *
-	 * @param string $retval Current user's user-agent
+	 * @param string $retval Current user's user-agent.
 	 */
 	return apply_filters( 'bp_core_current_user_ua', $retval );
Index: /trunk/src/bp-core/bp-core-options.php
===================================================================
--- /trunk/src/bp-core/bp-core-options.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-options.php	(revision 10012)
@@ -218,6 +218,7 @@
  * @since BuddyPress (1.6.0)
  *
- * @param bool $value Optional. Default value false
- * @return mixed false if not overloaded, mixed if set
+ * @param bool $value Optional. Default value false.
+ *
+ * @return mixed False if not overloaded, mixed if set.
  */
 function bp_pre_get_option( $value = false ) {
@@ -252,6 +253,7 @@
  *
  * @param string $option_name The option to be retrieved.
- * @param string $default Optional. Default value to be returned if the option
- *        isn't set. See {@link get_blog_option()}.
+ * @param string $default     Optional. Default value to be returned if the option
+ *                            isn't set. See {@link get_blog_option()}.
+ *
  * @return mixed The value for the option.
  */
@@ -278,5 +280,6 @@
  *
  * @param string $option_name The option key to be set.
- * @param mixed $value The value to be set.
+ * @param mixed  $value       The value to be set.
+ *
  * @return bool True on success, false on failure.
  */
@@ -297,5 +300,6 @@
  *
  * @param string $option_name The option key to be set.
- * @param string $value The value to be set.
+ * @param string $value       The value to be set.
+ *
  * @return bool True on success, false on failure.
  */
@@ -316,4 +320,5 @@
  *
  * @param string $option_name The option key to be deleted.
+ *
  * @return bool True on success, false on failure.
  */
@@ -331,4 +336,8 @@
  *
  * @deprecated 1.6.0
+ *
+ * @param array $keys
+ *
+ * @return bool
  */
 function bp_core_activate_site_options( $keys = array() ) {
@@ -495,4 +504,5 @@
  *
  * @param  string $option Name of the option key.
+ *
  * @return mixed Value, if found.
  */
@@ -522,5 +532,6 @@
  *
  * @param bool $default Optional. Fallback value if not found in the database.
- *        Default: true.
+ *                      Default: true.
+ *
  * @return bool True if profile sync is enabled, otherwise false.
  */
@@ -545,7 +556,8 @@
  *
  * @param bool $default Optional. Fallback value if not found in the database.
- *        Default: true.
+ *                      Default: true.
+ *
  * @return bool True if the admin bar should be hidden for logged-out users,
- *         otherwise false.
+ *              otherwise false.
  */
 function bp_hide_loggedout_adminbar( $default = true ) {
@@ -569,5 +581,6 @@
  *
  * @param bool $default Optional. Fallback value if not found in the database.
- *        Default: true.
+ *                      Default: true.
+ *
  * @return bool True if avatar uploads are disabled, otherwise false.
  */
@@ -592,6 +605,7 @@
  * @since BuddyPress (2.3.0)
  *
- * @param bool $default Optional. Fallback value if not found in the database.
- *                      Defaults to the value of `bp_disable_avatar_uploads()`.
+ * @param bool|null $default Optional. Fallback value if not found in the database.
+ *                           Defaults to the value of `bp_disable_avatar_uploads()`.
+ *
  * @return bool True if group avatar uploads are disabled, otherwise false.
  */
@@ -626,7 +640,8 @@
  *
  * @param bool $default Optional. Fallback value if not found in the database.
- *        Default: true.
+ *                      Default: true.
+ *
  * @return bool True if users are able to delete their own accounts, otherwise
- *         false.
+ *              false.
  */
 function bp_disable_account_deletion( $default = false ) {
@@ -651,7 +666,8 @@
  *
  * @param bool $default Optional. Fallback value if not found in the database.
- *        Default: false.
+ *                      Default: false.
+ *
  * @return bool True if activity comments are disabled for blog and forum
- *         items, otherwise false.
+ *              items, otherwise false.
  */
 function bp_disable_blogforum_comments( $default = false ) {
@@ -676,5 +692,6 @@
  *
  * @param bool $default Optional. Fallback value if not found in the database.
- *        Default: true.
+ *                      Default: true.
+ *
  * @return bool True if group creation is restricted, otherwise false.
  */
@@ -699,5 +716,6 @@
  *
  * @param bool $default Optional. Fallback value if not found in the database.
- *        Default: true.
+ *                      Default: true.
+ *
  * @return bool True if the BuddyBar should be forced on, otherwise false.
  */
@@ -719,5 +737,5 @@
  * @since BuddyPress (1.6.0)
  *
- * @param bool $default Optional. Default: '0'.
+ * @param bool|string $default Optional. Default: '0'.
  */
 function bp_group_forums_root_id( $default = '0' ) {
@@ -731,5 +749,6 @@
 	 * @uses bp_get_option() To get the root forum ID from the database.
 	 *
-	 * @param bool $default Optional. Default: '0'.
+	 * @param bool|string $default Optional. Default: '0'.
+	 *
 	 * @return int The ID of the group forums root forum.
 	 */
@@ -754,5 +773,6 @@
  *
  * @param bool $default Optional. Fallback value if not found in the database.
- *        Default: true.
+ *                      Default: true.
+ *
  * @return bool True if group forums are active, otherwise false.
  */
@@ -777,5 +797,6 @@
  *
  * @param bool $default Optional. Fallback value if not found in the database.
- *        Default: true.
+ *                      Default: true.
+ *
  * @return bool True if Akismet is enabled, otherwise false.
  */
@@ -800,5 +821,6 @@
  *
  * @param bool $default Optional. Fallback value if not found in the database.
- *        Default: true.
+ *                      Default: true.
+ *
  * @return bool True if Heartbeat refresh is enabled, otherwise false.
  */
@@ -822,6 +844,7 @@
  * @uses get_option() To get the theme package option.
  *
- * @param bool $default Optional. Fallback value if not found in the database.
- *        Default: 'legacy'.
+ * @param string $default Optional. Fallback value if not found in the database.
+ *                        Default: 'legacy'.
+ *
  * @return string ID of the theme package.
  */
Index: /trunk/src/bp-core/bp-core-taxonomy.php
===================================================================
--- /trunk/src/bp-core/bp-core-taxonomy.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-taxonomy.php	(revision 10012)
@@ -35,4 +35,5 @@
  * @param string       $taxonomy  Taxonomy name.
  * @param bool         $append    Optional. True to append terms to existing terms. Default: false.
+ *
  * @return array Array of term taxonomy IDs.
  */
@@ -63,4 +64,5 @@
  * @param string|array $taxonomies Name or names of taxonomies to match.
  * @param array        $args       See {@see wp_get_object_terms()}.
+ *
  * @return array
  */
@@ -91,4 +93,5 @@
  * @param string|array $terms     Term or terms to remove.
  * @param string       $taxonomy  Taxonomy name.
+ *
  * @return bool|WP_Error True on success, false or WP_Error on failure.
  */
Index: /trunk/src/bp-core/bp-core-template-loader.php
===================================================================
--- /trunk/src/bp-core/bp-core-template-loader.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-template-loader.php	(revision 10012)
@@ -24,13 +24,13 @@
  * @uses get_template_part()
  *
- * @param string $slug Template part slug. Used to generate filenames, eg
- *        'friends' for 'friends.php'.
+ * @param string $slug Template part slug. Used to generate filenames,
+ *                     eg 'friends' for 'friends.php'.
  * @param string $name Optional. Template part name. Used to generate
- *        secondary filenames, eg 'personal' for 'activity-personal.php'.
+ *                     secondary filenames, eg 'personal' for 'activity-personal.php'.
+ *
  * @return string Path to located template. See {@link bp_locate_template()}.
  */
 function bp_get_template_part( $slug, $name = null ) {
 
-	// Execute code for this part
 	/**
 	 * Fires at the start of bp_get_template_part().
@@ -52,5 +52,4 @@
 	$templates[] = $slug . '.php';
 
-	// Allow template parts to be filtered
 	/**
 	 * Filters the template parts to be loaded.
@@ -78,8 +77,9 @@
  *
  * @param string|array $template_names Template file(s) to search for, in order.
- * @param bool $load Optional. If true, the template file will be loaded when
- *        found. If false, the path will be returned. Default: false.
- * @param bool $require_once Optional. Whether to require_once or require. Has
- *        no effect if $load is false. Default: true.
+ * @param bool         $load           Optional. If true, the template file will be loaded when
+ *                                     found. If false, the path will be returned. Default: false.
+ * @param bool         $require_once   Optional. Whether to require_once or require. Has
+ *                                     no effect if $load is false. Default: true.
+ *
  * @return string The template filename if one is located.
  */
@@ -146,6 +146,7 @@
  *
  * @param string $location_callback Callback function that returns the stack location.
- * @param int $priority Optional. The priority parameter as passed to
- *        add_filter(). Default: 10.
+ * @param int    $priority          Optional. The priority parameter as passed to
+ *                                  add_filter(). Default: 10.
+ *
  * @return bool See {@link add_filter()}.
  */
@@ -169,6 +170,7 @@
  *
  * @param string $location_callback Callback function that returns the stack location.
- * @param int $priority Optional. The priority parameter passed to
- *        {@link bp_register_template_stack()}. Default: 10.
+ * @param int    $priority          Optional. The priority parameter passed to
+ *                                  {@link bp_register_template_stack()}. Default: 10.
+ *
  * @return bool See {@link remove_filter()}.
  */
@@ -194,8 +196,9 @@
  * @since BuddyPress (1.7.0)
  *
- * @global array $wp_filter Stores all of the filters.
- * @global array $merged_filters Merges the filter hooks using this function..
- * @global array $wp_current_filter stores the list of current filters with
- *         the current one last.
+ * @global array $wp_filter         Stores all of the filters.
+ * @global array $merged_filters    Merges the filter hooks using this function.
+ * @global array $wp_current_filter Stores the list of current filters with
+ *                                  the current one last.
+ *
  * @return array The filtered value after all hooked functions are applied to it.
  */
@@ -254,6 +257,7 @@
  * @param string $slug See {@link bp_get_template_part()}.
  * @param string $name See {@link bp_get_template_part()}.
- * @param bool $echo If true, template content will be echoed. If false,
- *        returned. Default: true.
+ * @param bool   $echo If true, template content will be echoed. If false,
+ *                     returned. Default: true.
+ *
  * @return string|null If $echo, returns the template content.
  */
@@ -294,6 +298,7 @@
  * @uses bp_set_theme_compat_template()
  *
- * @param string $type Filename without extension.
- * @param array $templates An optional list of template candidates.
+ * @param string $type      Filename without extension.
+ * @param array  $templates An optional list of template candidates.
+ *
  * @return string Full path to file.
  */
@@ -337,9 +342,11 @@
 
 /**
- * Get the possible subdirectories to check for templates in
- *
- * @since BuddyPress (1.7.0)
- * @param array $templates Templates we are looking for
- * @return array Possible subfolders to look in
+ * Get the possible subdirectories to check for templates in.
+ *
+ * @since BuddyPress (1.7.0)
+ *
+ * @param array $templates Templates we are looking for.
+ *
+ * @return array Possible subfolders to look in.
  */
 function bp_get_template_locations( $templates = array() ) {
@@ -367,4 +374,5 @@
  *
  * @param array $stacks Array of template locations.
+ *
  * @return array() Array of all template locations registered so far.
  */
@@ -434,5 +442,5 @@
  * Listens to the 'template_include' filter and waits for any BuddyPress specific
  * template condition to be met. If one is met and the template file exists,
- * it will be used; otherwise
+ * it will be used; otherwise.
  *
  * Note that the _edit() checks are ahead of their counterparts, to prevent them
@@ -442,4 +450,5 @@
  *
  * @param string $template
+ *
  * @return string The path to the template file that is being used.
  */
@@ -478,4 +487,5 @@
  *
  * @param mixed $template Default: false.
+ *
  * @return mixed False if empty. Template name if template included.
  */
@@ -490,4 +500,5 @@
  *
  * @since BuddyPress (1.8.0)
+ *
  * @return bool True if yes, false if no.
  */
